Sign inGet started

List all campaigns

GET
/workspaces/{workspaceId}/tcr-brands/{brandId}/campaigns
List all campaigns for a given brand. The list can be filtered by campaign status. This result is paginated. To learn more about the pagination, please refer to the pagination section on API Access Common API Usage section.
Paramètres de requête
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Corps de la réponse
results
array of object
obligatoire
Afficher les attributs enfants
results.id
string
UUID of the campaign.
results.name
string
Campaign name
results.subscription
object
Describes status of Campaign Subscription
Afficher les attributs enfants
results.subscription.status
string
Possible values: active, inactive, canceling
results.subscription.subscribedAt
string
Timestamp (UTC) when the subscription became active.
results.subscription.updatedAt
string
Timestamp (UTC) when the subscription was last updated.
results.subscription.cancelledAt
string
Timestamp (UTC) when the subscription was cancelled.
results.status
string
Campaign status
Possible values: DRAFT, FAILED, PENDING, REJECTED, APPROVED, DECLINED, SUSPENDED, DELETED, EXPIRED
results.usecase
string
A use case that best matches the purpose of the campaign.
results.subUsecases
array of string
If use case is MIXED or LOW_VOLUME mixed an array of 2-5 use cases.
results.description
string
A detailed description of what the campaign is for.
results.embeddedLink
boolean
Whether messages will contain links. Provide at least one sample containing a link.
results.embeddedPhone
boolean
Whether messages will contain phone number. Provide at least one sample containing a phone number.
results.numberPool
boolean
Whether a campaign will be associated with more than 50 numbers e.g. customer service use case.
results.ageGated
boolean
Whether a campaign contains age-gated content based on carrier/ctia guidelines.
results.directLending
boolean
Whether a campaign includes content related to direct lending or loan arrangements.
results.subscriberOptin
boolean
Confirm customer opt in is collected and processed.
results.subscriberOptout
boolean
Confirm customer opt out is collected and processed.
results.subscriberHelp
boolean
Confirm an info message is returned if a customer sends "HELP".
results.samples
array of string
Between 1-5 sample messages, each up to 1024 characters (empty until the campaign is submitted). If directLending, embeddedPhone, embeddedLink is true provide relevant examples.
results.messageFlow
string
Provide details of how the customer will opt into this campaign. If you have a live web opt-in provide the URL and ensure the page has details on the T&Cs/data collection for opting in, and how to opt out.
results.helpMessage
string
Help message of the campaign. A help message shall state the name of the service, contact (email or call centre), OPT IN and OPT OUT keywords.
results.helpKeywords
string
A comma separated list of keywords. Support of the word HELP is the minimum requirement for requesting help/info.
results.optoutKeywords
string
A comma separated list of keywords. Support of the word STOP is the minimum requirement for OPT OUT.
results.optinKeywords
string
A comma separated list of keywords. Support of the word START is the minimum requirement for OPT OUT.
results.optinMessage
string
Provide an example of the message that will be sent after a customer has opted in.
results.optoutMessage
string
Provide an example of the message that will be sent after a customer has opted out.
results.termsAndConditions
boolean
Indicates the campaign follows CTIA messaging principles and best practices.
results.brandId
string
UUID of the brand associated with this campaign. The specified brand MUST be APPROVED.
results.resellerId
string
UUID of the reseller associated with this campaign. The specified reseller MUST be ACTIVE.
results.rejection
object
Rejection details
Afficher les attributs enfants
results.rejection.description
string
obligatoire
Rejection description
results.rejection.code
string
Rejection code
results.attachments
array of object
Attachments associated with this campaign.
Afficher les attributs enfants
results.attachments.id
string
obligatoire
The ID of the attachment.
results.attachments.status
string
obligatoire
Attachment status
Possible values: PENDING, ACTIVE, PENDING_DELETION, DELETED, FAILED, FAILED_DELETION
results.attachments.createdAt
string
obligatoire
Timestamp (UTC) when the attachment was created.
results.attachments.updatedAt
string
obligatoire
Timestamp (UTC) when the attachment was last updated.
results.attachments.filename
string
obligatoire
The original name of the file when it was uploaded.
results.attachments.mediaUrl
string
The URL to download the attachment.
results.attachments.contentType
string
obligatoire
The detected MIME type of the file.
results.createdAt
string
Timestamp (UTC) when the campaign was created.
results.updatedAt
string
Timestamp (UTC) when the campaign was last updated.
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display. To know more, refer to the pagination section.
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/tcr-brands/{brandId}/campaigns' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
TypeDescription
array<CampaignReponse>CampaignResponse object describes a submitted campaign